Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ScopeType1

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ScopeType1

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ScopeType1

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Scope Type1', and utility methods for working with them.

See Also:
  `CDAR2Package.getScopeType1()`

Field Summary
`static int` | `COL` The 'Col' literal value.
`static ScopeType1` | `COL_LITERAL` The 'Col' literal object.
`static int` | `COLGROUP` The 'Colgroup' literal value.
`static ScopeType1` | `COLGROUP_LITERAL` The 'Colgroup' literal object.
`static int` | `ROW` The 'Row' literal value.
`static ScopeType1` | `ROW_LITERAL` The 'Row' literal object.
`static int` | `ROWGROUP` The 'Rowgroup' literal value.
`static ScopeType1` | `ROWGROUP_LITERAL` The 'Rowgroup' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Scope Type1' enumerators.

Method Summary
`static ScopeType1` | `get(int value)` Returns the 'Scope Type1' literal with the specified integer value.
`static ScopeType1` | `get(java.lang.String literal)` Returns the 'Scope Type1' literal with the specified literal value.
`static ScopeType1` | `getByName(java.lang.String name)` Returns the 'Scope Type1' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ROW

    public static final int ROW

  The 'Row' literal value.

  If the meaning of 'Row' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ROW_LITERAL`, Constant Field Values

### COL

    public static final int COL

  The 'Col' literal value.

  If the meaning of 'Col' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COL_LITERAL`, Constant Field Values

### ROWGROUP

    public static final int ROWGROUP

  The 'Rowgroup' literal value.

  If the meaning of 'Rowgroup' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ROWGROUP_LITERAL`, Constant Field Values

### COLGROUP

    public static final int COLGROUP

  The 'Colgroup' literal value.

  If the meaning of 'Colgroup' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COLGROUP_LITERAL`, Constant Field Values

### ROW_LITERAL

    public static final ScopeType1 ROW_LITERAL

  The 'Row' literal object.

  See Also:
    `ROW`

### COL_LITERAL

    public static final ScopeType1 COL_LITERAL

  The 'Col' literal object.

  See Also:
    `COL`

### ROWGROUP_LITERAL

    public static final ScopeType1 ROWGROUP_LITERAL

  The 'Rowgroup' literal object.

  See Also:
    `ROWGROUP`

### COLGROUP_LITERAL

    public static final ScopeType1 COLGROUP_LITERAL

  The 'Colgroup' literal object.

  See Also:
    `COLGROUP`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Scope Type1' enumerators.

Method Detail

### get

    public static ScopeType1 get(java.lang.String literal)

  Returns the 'Scope Type1' literal with the specified literal value.

### getByName

    public static ScopeType1 getByName(java.lang.String name)

  Returns the 'Scope Type1' literal with the specified name.

### get

    public static ScopeType1 get(int value)

  Returns the 'Scope Type1' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD